package de.dass_it.vanhelsing.gui.items;
public class ConsoleItem extends ItemType implements UserObjectItem{
	private String name;
	private String password;
	private String jobACL;
	private String clientACL;
	private String storageACL;
	private String scheduleACL;
	private String poolACL;
	private String fileSetACL;
	private String catalogACL;
	private String commandACL;
	private String whereACL;

	public ConsoleItem(){}

	public 	ConsoleItem(String name, String password){
		setName(name);
		setPassword(password);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getJobACL() {
		return jobACL;
	}

	public void setJobACL(String jobACL) {
		this.jobACL = jobACL;
	}

	public String getClientACL() {
		return clientACL;
	}

	public void setClientACL(String clientACL) {
		this.clientACL = clientACL;
	}

	public String getStorageACL() {
		return storageACL;
	}

	public void setStorageACL(String storageACL) {
		this.storageACL = storageACL;
	}

	public String getScheduleACL() {
		return scheduleACL;
	}

	public void setScheduleACL(String scheduleACL) {
		this.scheduleACL = scheduleACL;
	}

	public String getPoolACL() {
		return poolACL;
	}

	public void setPoolACL(String poolACL) {
		this.poolACL = poolACL;
	}

	public String getFileSetACL() {
		return fileSetACL;
	}

	public void setFileSetACL(String fileSetACL) {
		this.fileSetACL = fileSetACL;
	}

	public String getCatalogACL() {
		return catalogACL;
	}

	public void setCatalogACL(String catalogACL) {
		this.catalogACL = catalogACL;
	}

	public String getCommandACL() {
		return commandACL;
	}

	public void setCommandACL(String commandACL) {
		this.commandACL = commandACL;
	}

	public String getWhereACL() {
		return whereACL;
	}

	public void setWhereACL(String whereACL) {
		this.whereACL = whereACL;
	}
}
